> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /tmdb/networks/search

> Search TMDB TV networks by keyword.

**Price:** 1 credit



## OpenAPI

````yaml /openapi/movies-tv.json post /api/tmdb/networks/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/tmdb/networks/search:
    post:
      tags:
        - /tmdb
      summary: /tmdb/networks/search
      description: |-
        Search TMDB TV networks by keyword.

        **Price:** 1 credit
      operationId: __api_tmdb_networks_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TmdbSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TmdbSearchResult'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TmdbSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        language:
          $ref: '#/components/schemas/TmdbLanguage'
          default: en-US
        query:
          type: string
          minLength: 1
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - query
        - count
    TmdbSearchResult:
      properties:
        '@type':
          type: string
          default: TmdbSearchResult
        id:
          type: integer
        media_type:
          type: string
        url:
          type: string
        document_title:
          anyOf:
            - type: string
            - type: 'null'
        date:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - media_type
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    TmdbLanguage:
      type: string
      enum:
        - ar-SA
        - bg-BG
        - ca-ES
        - cs-CZ
        - da-DK
        - de-AT
        - de-DE
        - el-GR
        - en-US
        - es-ES
        - es-MX
        - et-EE
        - eu-ES
        - fa-IR
        - fi-FI
        - fr-CA
        - fr-FR
        - he-IL
        - hi-IN
        - hr-HR
        - hu-HU
        - hy-AM
        - id-ID
        - is-IS
        - it-IT
        - ja-JP
        - ka-GE
        - kk-KZ
        - ko-KR
        - lt-LT
        - lv-LV
        - ml-IN
        - nb-NO
        - nl-NL
        - no-NO
        - pl-PL
        - pt-BR
        - pt-PT
        - ro-RO
        - ru-RU
        - sk-SK
        - sl-SI
        - sr-RS
        - sv-SE
        - th-TH
        - tr-TR
        - uk-UA
        - uz-UZ
        - vi-VN
        - zh-CN
        - zh-HK
        - zh-TW
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````